package grdlic;

public class GrdVendorCodes
{
    public GrdVendorCodes(int pubCode, int privReadCode, int privWriteCode)
    {
        publicCode = pubCode;
        privateReadCode = privReadCode;
        privateWriteCode = privWriteCode;
    }

    /// @brief Vendor public code necessary for finding feature (0 means param is not used)
    public int publicCode;
    /// @brief Vendor private read code necessary for access to feature memory (0 means param is not used)
    public int privateReadCode;
    /// @brief Vendor private write code allow to change feature (0 means param is not used)
    /// Generally, this param must not be specified
    public int privateWriteCode;
}
