#ifndef GRD_LOG_H_
#define GRD_LOG_H_

#ifdef ANDROID
#include <android/log.h>
#define  LOG_TAG    "libgrdMobileSDK"


#ifndef NDEBUG
#define  LOGI(...)  __android_log_print(ANDROID_LOG_INFO, LOG_TAG, __VA_ARGS__)
#define  LOGW(...)  __android_log_print(ANDROID_LOG_WARN, LOG_TAG, __VA_ARGS__)
#define  LOGD(...)  __android_log_print(ANDROID_LOG_DEBUG, LOG_TAG, __VA_ARGS__)
#define  LOGE(...)  __android_log_print(ANDROID_LOG_ERROR, LOG_TAG, __VA_ARGS__)
#else
#define  LOGI(...){}
#define  LOGW(...){}
#define  LOGD(...){}
#define  LOGE(...)  __android_log_print(ANDROID_LOG_ERROR, LOG_TAG, __VA_ARGS__)
#endif // NDEBUG

#else
#define  LOGI(...){}
#define  LOGW(...){}
#define  LOGD(...){}
#define  LOGE(...){}
#endif // ANDROID

#endif // GRD_LOG_H_
