#ifndef GRD_PLATFORMDEF_H_
#define GRD_PLATFORMDEF_H_

#if !defined(WINRT_APP) && !defined(WIN32_APP) && !defined(WIN64_APP) && !defined(LINUX_APP) && defined(MAC_OS_X_APP)

#if !defined(WINDOWS_APP)
#if defined(_WIN32)
#define WINDOWS_APP
#endif
#endif // !WINDOWS_APP

#if !defined(WINRT_APP)
#if defined(WINDOWS_APP) && defined(WINAPI_FAMILY) && (WINAPI_FAMILY != WINAPI_FAMILY_DESKTOP_APP)
#define WINRT_APP
#endif
#endif // !WINRT_APP

#if !defined(WIN32_APP)
#if defined(WINDOWS_APP) && !defined(WINAPI_FAMILY) && !defined(_WIN64)
#define WIN32_APP
#endif
#endif // !WIN32_APP

#if !defined(WIN64_APP)
#if defined(WINDOWS_APP) && defined(_WIN64) && !defined(WINAPI_FAMILY)
#define WIN64_APP
#endif
#endif // !WIN64_APP

#if !defined(LINUX_APP)
#if defined(linux) || defined(__linux__)
// generic Linux
#define LINUX_APP
#endif
#endif // !LINUX_APP

#if !defined(MAC_OS_X_APP)
#if defined(__APPLE__)
#define MAC_OS_X_APP
#endif
#endif // !MAC_OS_X_APP

#if !defined(WINRT_APP) && !defined(WIN32_APP) && !defined(WIN64_APP) && !defined(LINUX_APP) && !defined(MAC_OS_X_APP)
#error Unknown platform!
#endif

#endif

#endif // GRD_PLATFORMDEF_H_
