unit fruBaseFrame;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, uHelper;

type
  TBaseFrame = class(TFrame)
  private
    { Private declarations }
    FOnLog: TLogEvent;
    FDescription: string;
    procedure SetDescription(const Value: string);
  protected

    procedure SendLog(const AFunction: string; AResult: Integer);
  public
    { Public declarations }
    property OnLog: TLogEvent read FOnLog write FOnLog;
    property Description: string read FDescription write SetDescription;
  end;

implementation

{$R *.dfm}

{ TBaseFrame }

procedure TBaseFrame.SendLog(const AFunction: string; AResult: Integer);
begin
  if Assigned(FOnLog) then FOnLog(AFunction, AResult);
end;

procedure TBaseFrame.SetDescription(const Value: string);
begin
  FDescription:= Value;
end;

end.
